<div>
    <mat-card *ngIf="pokemon">

        <mat-card-title-group style="margin-bottom: 30px">
            <mat-card-title>{{pokemonName| uppercase}} DETAILS</mat-card-title>
            <mat-card-subtitle style="margin-top: 20px;">Type(s):</mat-card-subtitle>
            <mat-card-subtitle>

                <mat-chip-list>
                    <mat-chip color="warn" selected *ngFor="let type of pokemon.types">{{type}}</mat-chip>
                </mat-chip-list>

            </mat-card-subtitle>
            <img mat-card-xl-image src={{pokemon.sprite}} alt="" style="filter: drop-shadow(2px 3px 4px rgb(0, 0, 0))">
        </mat-card-title-group>

        <mat-card-content>
            <mat-grid-list cols="1" rowHeight="5:2">
                <mat-grid-tile>

                    <mat-list>
                        <mat-list-item>
                            Name: {{pokemon.name}}
                        </mat-list-item>
                        <mat-divider [inset]="true"></mat-divider>
                        <mat-list-item>
                            Id: {{pokemon.id}}
                        </mat-list-item>
                        <mat-divider [inset]="true"></mat-divider>
                        <mat-list-item>
                            Height: {{pokemon.height / 10}} m
                        </mat-list-item>
                        <mat-divider [inset]="true"></mat-divider>
                        <mat-list-item>
                            Weight: {{pokemon.weight / 10}} kg
                        </mat-list-item>
                    </mat-list>

                </mat-grid-tile>
            </mat-grid-list>
        </mat-card-content>
    
    </mat-card>
</div>
    